Tspi_Context_CloseObject(3)

NAME
Tspi_Context_CloseObject - destroy resources associated with an object handle.

SYNOPSIS
#include <tss/platform.h>
#include <tss/tcpa_defines.h>
#include <tss/tcpa_typedef.h>
#include <tss/tcpa_struct.h>
#include <tss/tss_typedef.h>
#include <tss/tss_structs.h>
#include <tss/tspi.h>

 TSS_RESULT Tspi_Context_CloseObject(TSS_HCONTEXT hContext, TSS_HOBJECT hObject);

DESCRIPTION

TSS_Context_CloseObject destroys the object associated with the object handle. All allocated resources associated within the object are also released.

PARAMETERS

  hContext
The handle of the context object.

  hObject
The handle of the object to be destroyed.

RETURN CODES

Tspi_Context_CloseObject returns TSS_SUCCESS on success, otherwise one of the following values are returned:

TSS_E_INVALID_HANDLE - Either hContext or hObject are invalid handles.

TSS_E_INTERNAL_ERROR - An error occurred internal to the TSS.

CONFORMING TO

Tspi_Context_CloseObject conforms to the Trusted Computing Group Software Specification version 1.1 Golden

SEE ALSO

Tspi_Context_CreateObject(3).